{-# LANGUAGE OverloadedStrings #-}

module Main where

import Data.Monoid
import GetRemotes
import Graphics.Vty.Attributes ( defAttr, withStyle
                               , underline
                               , withForeColor, withBackColor, magenta, cyan, bold, blue, white, red)
import Brick.Widgets.ProgressBar (progressCompleteAttr)
import Network.OnRmt
import Network.OnRmt.UI.BrickUI


rmtTestAttrs =
    [ (progressCompleteAttr, defAttr `withForeColor` magenta `withBackColor` cyan)
    ]


params = OnRmtParams { appName = "onrmttest"
                     , maxParallel = 9
                     , directSSH = False }


main =
    do (uiMode, stateGen, s) <- brickUI (appName params) rmtTestAttrs
       result <- onRmt getEntries params uiMode stateGen s
       putStr "Final status: "
       putStrLn $ show result
       return ()
